[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.CalcAutoSizeColumn

Calculates the size for an auto-sized column at the specified position.

## Declaration

Source position: grids.pas line 987

`protected procedure TCustomGrid.CalcAutoSizeColumn(`
`const Index: Integer;`
`var AMin: Integer;`
`var AMax: Integer;`
`var APriority: Integer`
`); virtual;`

## Arguments

`Index` |  | Position for the column definition in Columns.
`AMin` |  | Returns the minimum width for the column.
`AMax` |  | Returns the maximum width for the column.
`APriority` |  | Sizing priority for the column. Higher values are given preference.

## Description

CalcAutoSizeColumn sets the value for the aPriority argument to 0 (zero). Other parameters values are not modified.

Remark: | CalcAutoSizeColumn is not used in the current LCL implementation.